"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCode = useCode;
const ui_foundation_ui_hooks_use_data_query_1 = require("@teambit/ui-foundation.ui.hooks.use-data-query");
const client_1 = require("@apollo/client");
const getCode = (0, client_1.gql) `
  query getCode($id: String!, $extensionId: String) {
    getHost(id: $extensionId) {
      id # used for GQL caching
      get(id: $id) {
        id {
          # used for GQL caching
          name
          version
          scope
        }
        fs
        mainFile
        devFiles
        dependencies {
          id
          version
          lifecycle
          packageName
        }
      }
    }
  }
`;
function useCode(componentId, host = 'teambit.scope/scope') {
    var _a, _b, _c, _d, _e, _f, _g, _h;
    const id = componentId === null || componentId === void 0 ? void 0 : componentId.toString();
    const { data, loading } = (0, ui_foundation_ui_hooks_use_data_query_1.useDataQuery)(getCode, {
        variables: { id, extensionId: host },
        skip: !componentId,
    });
    const fileTree = (_b = (_a = data === null || data === void 0 ? void 0 : data.getHost) === null || _a === void 0 ? void 0 : _a.get) === null || _b === void 0 ? void 0 : _b.fs;
    const mainFile = (_d = (_c = data === null || data === void 0 ? void 0 : data.getHost) === null || _c === void 0 ? void 0 : _c.get) === null || _d === void 0 ? void 0 : _d.mainFile;
    const devFiles = (_f = (_e = data === null || data === void 0 ? void 0 : data.getHost) === null || _e === void 0 ? void 0 : _e.get) === null || _f === void 0 ? void 0 : _f.devFiles;
    const dependencies = (_h = (_g = data === null || data === void 0 ? void 0 : data.getHost) === null || _g === void 0 ? void 0 : _g.get) === null || _h === void 0 ? void 0 : _h.dependencies;
    return { fileTree, mainFile, dependencies, devFiles, loading };
}
//# sourceMappingURL=get-component-code.js.map